Subject: Re: bug#67702: 30.0.50; insert-register can no longer be used in minibuffer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Dec 2023 09:15:17 +0200

> From: Thierry Volpiatto <[email-masked]>
> Cc: Kun Liu <[email-masked]>,  [email-masked]
> Date: Fri, 08 Dec 2023 07:04:53 +0000
> 
> >> 1) Save some text in register a
> >> 2) M-x query-replace
> >> 3) in the minibuffer, type C-x r i
> >> 4) got error: "byte-code: Command attempted to use minibuffer while in minibuffer"
> >
> > I guess register-read-with-preview should temporarily bind
> > enable-recursive-minibuffers to a non-nil value?
> 
> Yes, do you want me to install this change?

If you think that's the correct solution, sure.

> I have also a pending patch to apply for bug#66394 (see it there).

You said you will install that if no one objects.  I'm not sure what
was the conclusion of the discussion with Eshel about that.  If it's
unrelated, then please go ahead and install your changes in that
discussion.  In any case, perhaps you could help Eshell improve and
polish his additions, which AFAIU are supposed to provide an optional
behavior more similar to the previous one.

Thanks.